include "..\common_def.mm";

read(rdb1, SQLDDL2Obj, "rdb_original.ddl"); // original relational
read(xsd1, XSD2Obj, "xsd_original.xml"); // postprocessed XML schema
read(rdb1_xsd1, TextToMap, "rdb-xsd.textmap"); // text-based

rdb1_xsd1 = CanonicalMapSQL(rdb1) * rdb1_xsd1 * Invert(CanonicalMapXSD(xsd1));
rdb1_xsd1 = EditMap(rdb1, xsd1, rdb1_xsd1, null, "Input morphism: rdb_xsd");

write(rdb1, TripleSerializer, "rdb_generated.ddl");
write(xsd1, TripleSerializer, "xsd_generated.xml");
write(rdb1_xsd1, TripleSerializer, "rdb-xsd_generated.map");
